Compilazione condizionale a seconda della versione del framework in C #

Ci sono simboli di preprocessore che permettono qualcosa di simile

#if CLR_AT_LEAST_3.5 // use ReaderWriterLockSlim #else // use ReaderWriterLock #endif 

o qualche altro modo per farlo?